Orgs Tables
Get a table
Get a single table by id.
GET
/
orgs
/
{org_id}
/
tables
/
{table_id}
Get a table
curl --request GET \
--url https://api.useinvent.com/orgs/{org_id}/tables/{table_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/{org_id}/tables/{table_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/{org_id}/tables/{table_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "custom",
"name": "Companies",
"description": "Companies are organizations that own and manage other organizations.",
"icon": "<string>",
"color": "red",
"display_field_id": "<string>",
"archived": true,
"position": 123,
"fields": [
{
"id": "<string>",
"table_id": "<string>",
"key": "<string>",
"type": "id",
"schema": {
"type": "file",
"name": "<string>",
"description": "<string>",
"optional": true,
"array": true,
"placeholder": "<string>",
"display": {
"field": "inline",
"container": "grid",
"empty": "show",
"render": "button"
},
"order": 1,
"link": "<string>",
"metadata": {},
"allowed_modes": [
"all"
],
"broadcast_field": true,
"broadcast_exposed": true,
"integration_field": true,
"display_field": true,
"conditions": [
{
"field": "<string>",
"operator": "eq",
"value": "<unknown>"
}
],
"hidden": true,
"picker": {
"type": "google_drive",
"views": [
"DOCS"
],
"selectable_mime_types": [
"<string>"
]
},
"requires": [
"<string>"
],
"disable_variables": true,
"allowed_types": [
"<string>"
],
"visibility": "PRIVATE",
"default": {
"id": "<string>",
"file_path": "<string>",
"file_filename": "document.pdf",
"file_size": 1024,
"file_mimetype": "application/pdf",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
},
"readonly": true,
"sortable": true,
"groupable_in": [
"table"
],
"kind": "system"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer token authentication using your API key
Response
200 - application/json
Available options:
custom, contacts, chats, users The name of the table.
Example:
"Companies"
The description of the table.
Example:
"Companies are organizations that own and manage other organizations."
The picked icon. Null renders the default table icon.
The picked icon tint. Null renders the default color.
Available options:
red, orange, amber, yellow, lime, green, teal, cyan, sky, blue, indigo, violet, purple, fuchsia, pink, rose, neutral The id of the display field.
Whether the table is archived.
Manual display order within the org.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get a table
